Subject: [Isis-wg] Comments on draft-ietf-isis-node-admin-tag-00

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 23 Feb 2015 15:25:59 +0000

I have a number of comments on this draft - a few editorial - most substantive.

Abstract
-----------
s/ofthe/of the

Introduction
----------------
I think the last sentence should be removed. It is providing an example of a use case - and as such is more appropriate for Section 5.

Section 2 - First paragraph
---------------------------------
I would like to see the last statement revised so that it is more general.
Also, node-tags are a property of the node - not of the routing protocol used to advertise them - I would like to see this point explicitly stated. Perhaps something like:

"Per-node administrative tags are used to advertise an attribute of the node. As such they are independent of the routing protocol used to advertise them. Because per-node administrative tags may be used to advertise many different attributes, associating the advertisement to TLVs specific to  a particular use case (e.g. IS-Neighbors TLVs in the case of TE path selection) is not appropriate."

Section 2 Second Paragraph
----------------------------------
Last sentence is grammatically incomplete. Consistent w previous comment regarding use cases this sentence should be moved to Section 5.

Section 2 Third Paragraph
----------------------------------
Neither L1 nor L2 LSPs as defined in ISO 10589 have "domain-wide" flooding scope. Domain-wide flooding of TLV 242 information is achieved by leaking the TLV from L2 into L1. This behavior is well defined in RFC 4971 - you need not discuss it here other than to say that node-tags can be flooded domain-wide if appropriate using the mechanisms defined in RFC 4971.

Section 2 Fourth and Fifth Paragraphs
------------------------------------------------
I don't agree with the content of these paragraphs.  It may be perfectly acceptable to use the same tag value domain-wide - it depends upon the functionality associated w the tag. I think these two paragraphs should be deleted.

Section 2 Sixth Paragraph
--------------------------------
You are repeating a description contained in RFC 4971 - and your description is not as clear. There is no need for this. A reference to RFC 4971 is all that is required.

Section 2 Final Paragraph
---------------------------------
The advertisement of tags (and Router Capabilities in general) is NOT topology specific. The restriction you describe in this paragraph is undetectable and unenforceable. The use of node-tags is configuration specific - it is only in that context that you can choose to make a particular tag value have significance in either one topology or all topologies. This paragraph should be removed as well.

Section 4 Paragraph 5
----------------------------
Consistent w my comments above this paragraph should be removed.

Section 4 Paragraph 6
------------------------------
This states 

" The per-node administrative tags are not meant to be extended by the
   future IS-IS standards."

I do not understand what you are trying to say here.

Section 5
-------------

This section, while useful, is not normative. I would like to see it moved to an Appendix.

   Les